Subject: Re: [GSOC] fatal error: curl/curl.h: No such file or directory

From: SZEDER Gábor <[email-masked]>
Date: Sat, 20 Feb 2021 20:07:28 +0100

On Sat, Feb 20, 2021 at 07:27:32PM +0530, Divyansh Garg wrote:
> Hello,
> I am trying to build the source code on my system (Ubuntu 20.04).
> After cloning the repo, when I proceed with the command: make, I get
> the following error.
> I tried installing curl and searched the internet but couldn't get a fix.
> Please advise, how can I solve this problem.
> 
> divyansh:~/gsoc/git$ make
> make: curl-config: Command not found
>     * new prefix flags
>     CC attr.o
>     CC config.o
>     CC exec-cmd.o
>     CC gettext.o
>     AR libgit.a
>     LINK git-daemon
>     LINK git-http-backend
>     LINK git-imap-send
>     LINK git-sh-i18n--envsubst
>     LINK git-shell
>     CC http.o
> In file included from http.c:2:
> http.h:6:10: fatal error: curl/curl.h: No such file or directory
>     6 | #include <curl/curl.h>
>       |          ^~~~~~~~~~~~~
> compilation terminated.
> make: *** [Makefile:2422: http.o] Error 1

As Torsten said you have to install not only a couple of libraries but
also the related '-dev' package containing includes and static
libraries.

In our CI jobs using Ubuntu we install the following packages by
default (see 'ci/install-dependencies.sh'):

UBUNTU_COMMON_PKGS="make libssl-dev libcurl4-openssl-dev libexpat-dev
 tcl tk gettext zlib1g-dev perl-modules liberror-perl libauthen-sasl-perl
 libemail-valid-perl libio-socket-ssl-perl libnet-smtp-ssl-perl"